/*
 * Copyright (c) 2022 ETSI.  All rights reserved.
 */

import React, { Component } from 'react';
import BasicDialog from './basic-dialog';

class SignInWaitDialog extends Component {
  constructor(props) {
    super(props);
    this.state = {
    };
  }

  render() {
    return (
      <BasicDialog
        title={this.props.title}
        open={this.props.open}
        onClose={this.props.onClose}
        onSubmit={this.props.onClose}
        submitLabel={''}
      >
        <p>This may take a few seconds...</p>
        <p>You will automatically be redirected to the sandbox page when ready.</p>
      </BasicDialog>
    );
  }
}

export default SignInWaitDialog;
